Dungeons & Dragons 2024 Core Rulebooks Pre-Order
Page 24 of 26 First ... 142223242526 Last
  1. #231
    Quote Originally Posted by WinterSoldier7 View Post
    Just came back to this and did not expect you to have replied so fast, let alone been so generous with your time and effort!

    This now looks to do exactly what I wanted it to do. Very much appreciated, thank you!
    You're very welcome!

  2. #232
    Quote Originally Posted by Fingersome View Post
    Looks like there is a conflict somewhere with the Damage Reroll Feats for 5e extension... it doesn't break anything horrendously, but I don't believe that your extension works when both are installed for whatever reason. Not a complaint, just an observation as someone who uses a lot of extensions.
    Hiya! I actually ran into this issue myself, seeing as I used Reroll feats, due to someone in my party using Piercer and I added code myself for Flames Of Phlegethos, what appears to be issue, is that the load order is being funky for the two extensions, mainly due to it being down to Reroll Feats being at loadorder 998.

    Setting the loadorder of ImprovedCritical to 999 fixed this issue. In case you are tech savvy, here's the fix!

    1. Grab the extension of ImprovedCritical from your %appdata% in the extensions folder.
    2. Move it to a seperate folder
    3. Change the extension of the file from .ext to .zip
    4. Open the extension.xml
    5. Add in: "<loadorder>999</loadorder>" above </properties> on the same indentation
    6. Save the file
    7. Zip all the files back up like the inital .ext
    8. save it as Theogeek-ImprovedCriticalCompat.ext or whatever you would like to name it
    9. Put it back into your extension folder
    10. Load that plugin

    Hope that helps!

  3. #233
    Quote Originally Posted by ItsLunaYup View Post
    Hiya! I actually ran into this issue myself, seeing as I used Reroll feats, due to someone in my party using Piercer and I added code myself for Flames Of Phlegethos, what appears to be issue, is that the load order is being funky for the two extensions, mainly due to it being down to Reroll Feats being at loadorder 998.

    Setting the loadorder of ImprovedCritical to 999 fixed this issue. In case you are tech savvy, here's the fix!

    Hope that helps!
    Thanks for taking a look! This might be the "fix" until lprchaun can take a look to see if there's a more robust one.

  4. #234
    Quote Originally Posted by TheoGeek View Post
    Thanks for taking a look! This might be the "fix" until lprchaun can take a look to see if there's a more robust one.
    Well, so far even with my custom code, it seems to work perfectly fine, I guess due to it's high load order, it was overwriting yours, either way, it's a simple and quick fix.

  5. #235
    After doing some more testing, it appears that criticals with piercing do not work on the ReRoll feats end, so that is the one problem with it, that we've seen so far

  6. #236
    Is that even without my extension or is that another collision with mine and ReRoll feats?

  7. #237
    Quote Originally Posted by TheoGeek View Post
    Is that even without my extension or is that another collision with mine and ReRoll feats?
    That is with your extension and ReRoll feats

  8. #238
    Quote Originally Posted by ItsLunaYup View Post
    That is with your extension and ReRoll feats
    Man...I'd love to try to debug this but I don't have ReRoll Feats. It's pretty likely that it's because we both use the damage handler, but other extensions that override or use the same ones I do work OK. One of our extensions is likely overwriting a data structure or assuming the format or something. Could you post a screenshot of the chat window when you crit with both of these extensions active? That might give me a clue.

    Thanks!

  9. #239
    Seem to have some issues using PF2e Legacy -- criticals cause the following console error:

    [5/31/2024 3:57:14 PM] [ERROR] Script execution error: [string "..ek-ImprovedCritical:..mprovedCritical.lua"]:1086: attempt to call field 'formatDescription' (a nil value)

    Edit:

    Earlier in the log I have another warning that seems relevant:

    [5/31/2024 3:30:41 PM] [WARNING] Could not load script file (Theogeek-ImprovedCritical) (P:ImprovedCritical_ruleset) (PFRPG2/scripts/PFRPG2-Legacy-ImprovedCritical.lua)

    Edit 2:

    Fixed it. The XML in PFRPG2-Legacy folder has a typo, and is trying to pull from the wrong folder. Changing the path from:

    PFRPG2/scripts/PFRPG2-Legacy-ImprovedCritical.lua

    To:

    PFRPG2-Legacy/scripts/PFRPG2-Legacy-ImprovedCritical.lua

    ...fixed it completely.
    Last edited by CeedtheMediocre; June 1st, 2024 at 00:12.

  10. #240
    Thanks a ton! I'll get that updated and uploaded tonight!

    ====

    Updated! Version 8.6.1 uploaded to the forge.
    Last edited by TheoGeek; June 1st, 2024 at 02:19.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
5E Product Walkthrough Playlist

Log in

Log in